Bug 521671

Summary: Review Request: R-plyr - Tools for splitting, applying, and combining data in R
Product: [Fedora] Fedora Reporter: Tom Moertel <tom>
Component: Package ReviewAssignee: Jason Tibbitts <tibbs>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, pingou
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-05 09:23:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Tom Moertel 2009-09-07 11:22:40 EDT
Spec URL: http://community.moertel.com/rpms/fedora/10/SPECS/R-plyr.spec
SRPM URL: http://community.moertel.com/rpms/fedora/10/SRPMS/R-plyr-0.1.9-2.fc10.src.rpm

I have packaged plyr, a powerful data-manipulation package for the R statistical-computing system. The plyr package is a prerequisite for the ggplot2 package, which is rapidly becoming popular and will likely reach "must have" status shortly.  I would appreciate a review so we can get R-plyr into Fedora as part of our work toward ggplot2.

We have already discussed this package a bit on the fedora-r-devel list:


Thanks for your help!

Comment 1 Jason Tibbitts 2009-09-15 15:37:17 EDT
My apologies; I was in the process of reviewing this, but something came up and I haven't been able to get back to it.  I'll take care of it this evening.
Comment 2 Jason Tibbitts 2009-09-17 01:27:55 EDT
It's just not my week.  Sorry about that.

I can't see anywhere in the source or the upstream web site that indicates which version of the GPL applies.  DESCRIPTION and the upstream web site just say "GPL".  The source code has no license information at all.  According to the GPL, this means we can choose any version, so "License: GPL+" is the proper thing to use, unless you can get clarification from upstream (which you should try to do).

I don't think a dependency on "R >= R-2.8" does anything useful.  A proper versioned dependency  would be "R >= 2.8".  No supported Fedora version shipped with anything older than 2.8, but I'm not sure what might have been in some ancient version of EPEL so I suppose a versioned dependency could be necessary.

* source files match upstream.  sha256sum:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
? final provides and requires are sane:
   R-plyr = 0.1.9-2.fc12
?  R >= R-2.8

* %check is necessarily disabled.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are  OK (R module registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 3 Tom Moertel 2009-09-24 15:51:57 EDT
Jason, thanks for the review.

I have contacted Hadley Wickham, the upstream author, about the license.  He said that plyr is licensed under the GPLv2.  I have updated the spec file accordingly.

I have also replaced the R >= R-2.8 requirements with the more reasonable R >= 2.8.

Updated sources:

Spec URL: http://community.moertel.com/rpms/fedora/10/SPECS/R-plyr.spec

Comment 4 Tom Moertel 2009-09-28 09:00:37 EDT
Should I do anything else to the R-plyr package to make it ready for review/approval?
Comment 5 Jason Tibbitts 2009-09-28 13:58:12 EDT
You should give me time to review the changes.
Comment 6 Jason Tibbitts 2009-10-15 01:10:28 EDT
OK, I've finally found some more time to finish this up.

You still have the unnecessary versioned dependency on R, but it's not a blocker  so if you really want it, you can keep it.

It's good that you contacted the author, but neither the source nor the upstream web site, nor anything publicly accessible as far as I can tell has any information that verifies that the license is actually GPLv2.  What you need to do in this case is include the actual email you received from the author (assuming you did this via email) in the package so that we have some evidence of the actual license.  Just include the text of the email as Source1: and install it as %doc.

Now, I've taken long enough with this review and I really don't want to introduce any additional delay  into the process, so I'll go ahead and approve this and trust that you'll fix things up before you check the package in.

Comment 7 Jason Tibbitts 2009-10-19 14:09:23 EDT
FYI, you can refer to https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification for details on the requirement that such clarifications be included with the package.
Comment 8 Jason Tibbitts 2010-01-08 19:57:19 EST
Is anything happening here?  It's been more than two months since I approved this package and I see no CVS request or even a response from you.
Comment 9 Tom Moertel 2010-01-11 20:17:29 EST
Thanks for the ping.  I completely forgot about this package.
Comment 10 Tom Moertel 2010-01-11 20:19:46 EST
New Package CVS Request
Package Name: R-plyr
Short Description: Tools for splitting, applying and combining data
Owners: tmoertel
Branches: F-11 F-12
Comment 11 Jason Tibbitts 2010-06-25 18:22:02 EDT
Wow.  Six months later I notice that the fedora-cvs flag was never raised, so of course CVS was never done.  If you still want this package to make it into the distribution, please submit a new CVS request (no F-11 any longer, but now we have F-13) and set the fedora-cvs flag to '?'.  Otherwise I'll close this out.
Comment 12 Jason Tibbitts 2010-11-05 09:23:56 EDT
After several more months, withdrawing my approval and closing this ticket.